### Function

# AppStream ProvidedKind to_l10n_string

#### Declaration [src]

    const gchar*
    as_provided_kind_to_l10n_string (
      AsProvidedKind kind
    )

#### Description [src]

Converts the enumerated value to a localized text representation, using the plural forms (e.g. “Libraries” instead of “Library”).

This can be useful when displaying provided items in GUI dialogs.

#### Parameters

`kind`

  Type: `AsProvidedKind`

  The `AsProvidedKind`.

#### Return value

Type: `const gchar*`

Pluralized, l10n string version of `kind`.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.